Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.testing.constraints
Class SPARQLAssertTest

    java.lang.Object
      edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
          edu.stanford.smi.protegex.owl.testing.constraints.SPARQLAssertTest

All Implemented Interfaces:
  OWLTest, RDFSClassTest, RepairableOWLTest

    public class SPARQLAssertTest

extends AbstractOWLTest
implements RDFSClassTest, RepairableOWLTest

Author:
  Holger Knublauch

Field Summary
`static String` | `EMPTY_PROPERTY_URI`
`static String` | `NAMESPACE`
`static String` | `NOT_EMPTY_PROPERTY_URI`
`static String` | `PREFIX`
`static String` | `URI`

Fields inherited from class edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
`SANITY_GROUP`

Constructor Summary
`SPARQLAssertTest()`

Method Summary
`boolean` | `repair(OWLTestResult testResult)` Attempts to repair the cause of a given OWLTestResult.
`List` | `test(RDFSClass aClass)` Performs a check of a given RDFSClass.

Methods inherited from class edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
`getDocumentation, getGroup, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.testing.OWLTest
`getDocumentation, getGroup, getName`

Methods inherited from interface edu.stanford.smi.protegex.owl.testing.OWLTest
`getDocumentation, getGroup, getName`

Field Detail

### PREFIX

    public static final String PREFIX

See Also:
  Constant Field Values

### URI

    public static final String URI

See Also:
  Constant Field Values

### NAMESPACE

    public static final String NAMESPACE

See Also:
  Constant Field Values

### EMPTY_PROPERTY_URI

    public static final String EMPTY_PROPERTY_URI

See Also:
  Constant Field Values

### NOT_EMPTY_PROPERTY_URI

    public static final String NOT_EMPTY_PROPERTY_URI

See Also:
  Constant Field Values

Constructor Detail

### SPARQLAssertTest

    public SPARQLAssertTest()

Method Detail

### repair

    public boolean repair(OWLTestResult testResult)

  Description copied from interface: `RepairableOWLTest`
  Attempts to repair the cause of a given OWLTestResult.

  Specified by:
    `repair` in interface `RepairableOWLTest`
  Parameters:
    `testResult` - the OWLTestResult encapsulating the error
  Returns:
    true if the repair was successful

### test

    public List test(RDFSClass aClass)

  Description copied from interface: `RDFSClassTest`
  Performs a check of a given RDFSClass.

  Specified by:
    `test` in interface `RDFSClassTest`
  Parameters:
    `aClass` - the RDFSClass to check
  Returns:
    a list of OWLTestResult objects

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.